19569913 zip man page should warn that the --encrypt uses weak encryption s11-update
authorJan Noha <jan.noha@oracle.com>
Mon, 15 Sep 2014 04:27:19 -0700
branchs11-update
changeset 3441 94245073f21f
parent 3440 573f3b6b1987
child 3444 10e7519ee062
19569913 zip man page should warn that the --encrypt uses weak encryption
components/zip/patches/02-man-encrypt.patch
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/components/zip/patches/02-man-encrypt.patch	Mon Sep 15 04:27:19 2014 -0700
@@ -0,0 +1,14 @@
+--- zip30/man/zip.1.bkp	Mon Sep 15 03:06:54 2014
++++ zip30/man/zip.1	Mon Sep 15 03:32:26 2014
[email protected]@ -915,6 +915,11 @@
+ .I zip
+ will exit with an error).
+ The password prompt is repeated to save the user from typing errors.
++Note that the encryption is weak. For better security see
++.IR gpg2 (1)
++(portable to other systems) or
++.IR encrypt (1)
++(Solaris archives).
+ 
+ .TP
+ .PD 0